html {
    scroll-behavior: smooth;
}

* {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
    font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    color: rgb(195, 192, 175);
}

.background{
    background: #000000;
    overflow-x: hidden;
    overflow-y: auto;
}

.container{
    position: absolute;
    background-color: rgb(73, 73, 73);
    height: 100%;
    width: 100%;
}


/* Navegacion */


.nav-bar{
    display: flex;
    justify-content: center;
    width: 100%;
    align-items: center;
}

.nav-bar-container{
    display: flex;
    flex-direction: row;
    position: fixed;
    width: 100%;
    background-color: black;
    z-index: 1000;
}

.logo-nav{
    width: 250px;
    position: relative;
}

.elemento-nav{
    margin: 0 70px 0 70px;
}

.nav-elements-container{
    display: flex;
    justify-content: space-around;
}

.nav-elements-container a{
    text-decoration: none;
    color: #fff;
    font-size: 21px;
}

.nav-elements-container a:hover{
    color: #b6b5a4;
}


/* Redes Sociales */


.share {
    width: 88px;
    height: 44px;
    background-color: #151515;
    border-radius: 22px;
    padding: 4px;
    position: relative;
    left: 75px;
}

.fl {
    float: left;
}

.cont {
    width: 100%;
    height: 100%;
    position: relative;
    z-index: 9;
}

.cont::after {
    content: "";
    position: absolute;
    right: 14px;
    top: 50%;
    transition: 0.5s;
    margin-top: -3px;
    width: 0;
    height: 0;
    border-right: 7px solid transparent;
    border-left: 7px solid transparent;
    border-top: 7px solid #cfcecd;
}

.slide{
    width: 100%;
    position: absolute;
    left: 0;
    top: 0;
    padding-top: 44px;
    min-height: 100px;
    overflow: hidden;
    background-color: #151515;
    border-radius: 22px;
    display: none;
}


.box {
    width: 100%;
    padding: 0 4px;
    padding-top: 5px;
    height: 48px;
    cursor: pointer;
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.share:hover .slide {
    display: block;
}

.share:hover .box {
    display: block;
}

.share:hover .cont::after {
    transform: rotate(180deg);
}

.box:hover{
    background-color: #2d2d2d;
}


/* Banner */

.banner{
    width: 100%;
}


/* Seccion Temporadas */

.temporadas-container{
    padding-top: 100px;
    padding-bottom: 100px;
}

.slider-box{
    width: auto;
    height: auto;
    margin: auto;
    overflow: hidden;
}

.slider-box ul{
    display: flex;
    padding: 0;
    width: 300%;
    animation: slide 25s infinite alternate ease-in-out;
}

.slider-box li{
    width: 100%;
    list-style-type: none;
}

.slider-box img{
    width: 100%;
    height: 100%;
}

.texto{
    position: absolute; 
    text-align: center;
    width: 400px;
}

.texto h2{
    font-size: 30px;
}

@keyframes slide {
    0%{margin-left: 0;}
    100%{margin-left: -200%;}
}



/* Seccion Personajes */

.wrapper{
    width: 100%;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
}


.wrapper-container{
    height: 100%;
    width: 100%;
    display: flex;
    flex-wrap: nowrap;
    justify-content: center;
}

.card{
    width: 100%;
    background-size: cover;
    cursor: pointer;
    overflow: hidden;
    display: flex;
    align-items: flex-end;
    margin: 0 10px;
    transition: .6s cubic-bezier(.28,-0.03,0,.99);
    box-shadow: 0px 10px 30px -5px rgb(0,0,0,0.8);
}

.card > .row{
    color: white;
    display: flex;
    flex-wrap: nowrap;
    position: relative;
    right: 210px;
}

.card > .row > .description{
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
    height: 150px;
    width: 470px;
    opacity: 0;
    transform: translateY(30px);
    transition-delay: .3s;
    transition: all .3s ease;
}

.text{
    position: relative;
    width: 100%;
    height: 100%;
    display: flex;
}


.text .nombres{
    font-size: 32px;
    font-family: 'AR';
    display: flex;
    align-items: flex-end;
    padding-bottom: 130px;
    letter-spacing: 2px;
    color: rgb(195, 192, 175);
    width: 300px;
    justify-content: center;
}

.description p{
    padding-top: 5px;
    display: flex;
    text-align: left;
}

input{
    display: none;
}

input:hover + label{
    width: 300%;
    transition: 1s;
}

input:hover + label .description{
    opacity: 1 !important;
    transform: translateY(0) !important;
}

.card[for="c1"]{
    background: url("../Images/rick2.webp") bottom center no-repeat;
    background-size: auto 100%;
}

.card[for="c2"]{
    background: url("../Images/daryl2.jpg") bottom center no-repeat;
    background-size: auto 100%;
}

.card[for="c3"]{
    background: url("../Images/carol.jpg") bottom center no-repeat;
    background-size: auto 100%;
}

.card[for="c4"]{
    background: url("../Images/michone.jpg") bottom center no-repeat;
    background-size: auto 100%;
}

.card[for="c5"]{
    background: url("../Images/maggie.jpg") bottom center no-repeat;
    background-size: auto 100%;
}

.card[for="c6"]{
    background: url("../Images/glenn.jpg") bottom center no-repeat;
    background-size: auto 100%;
}

.card[for="c7"]{
    background: url("../Images/carl.jpg") bottom center no-repeat;
    background-size: auto 100%;
}

.card[for="c8"]{
    background: url("../Images/hershel.jpg") bottom center no-repeat;
    background-size: auto 100%;
}

.card[for="c9"]{
    background: url("../Images/sasha.jpg") bottom center no-repeat;
    background-size: auto 100%;
}

.card[for="c10"]{
    background: url("../Images/beth.jpg") bottom center no-repeat;
    background-size: auto 100%;
}

.card[for="c11"]{
    background: url("../Images/rosita.jpg") bottom center no-repeat;
    background-size: auto 100%;
}

.card[for="c12"]{
    background: url("../Images/tara.jpg") bottom center no-repeat;
    background-size: auto 100%;
}

.card[for="c13"]{
    background: url("../Images/jesus.jpg") bottom center no-repeat;
    background-size: auto 100%;
}

.card[for="c14"]{
    background: url("../Images/aaron.jpg") bottom center no-repeat;
    background-size: auto 100%;
}

.card[for="c15"]{
    background: url("../Images/king.jpg") bottom center no-repeat;
    background-size: auto 100%;
}


/* Seccion Videos */

:root {
    --secondary : gold;
}

.videos-container {
    width: 100vw;
    height: 850px;
    display: grid;
    flex-direction: column;
    justify-content: center;
    grid-template-columns: 1.8fr 1.2fr;
    gap: 1rem;
    padding: .3rem 3rem;
    text-transform: capitalize;
}

.main-video{
    width: 800px;
    height: 43rem;
    display: flex;
    justify-content: center;
    padding-top: 150px;
}

.video-playlist{
    width: 100%;
    height: 100%;
    padding-top: 150px;
}

.video-playlist .title {
    padding-left: 1rem;
}

.video-playlist > p {
    padding: 1rem;
    color: var(--secondary);
}

.video-playlist .videos{
    height: 44%;
    overflow-y: auto;
}

.video-playlist .videos::-webkit-scrollbar {
    width: .4rem;
    border-radius: .4rem;
    background-color: rgba(46, 46, 46, 0.2);
}

.video-playlist .videos::-webkit-scrollbar-thumb {
    border-radius: .4rem;
    background-color: rgb(195, 192, 175);
}

.video-playlist .videos .video {
    position: relative;
    width: 100%;
    height: 4rem;

    display: flex;
    justify-content: center;
    align-items: center;

    padding: 0 1rem;
    margin-top: .1rem;
    cursor: pointer;

    border-radius: .5rem;
}

.video-playlist .videos .video:hover {
    background-color: #0003;
}

.video-playlist .videos .video.active {
    background-color: rgba(46, 46, 46, 0.2);
}

.video-playlist .videos .video.active .title{
    color: gold;;
}

.video-playlist .videos .video.active p{
    color: gold;
}

.main-video video {
    width: 100%;
    border-radius: .5rem;
}

.video img {
    position: absolute;
    left: 1rem;
    top: 50%;
    transform: translateY(-50%);
    
    width: 1.5rem;
    height: 1.5rem;
    
    filter: invert(100%);
}

.video-playlist .videos .video.active img {
    filter: invert(100%) sepia(100%) saturate(2000%) hue-rotate(360deg);
}

.video p {
   margin-left: 2.5rem;
}

.video h3 {
    width: 23rem;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;

    font: 100 1rem sans-serif;
    padding: 0 .5rem;
}


/* Footer */

.footer-container{
    max-width: 1350px;
    margin: 0 auto;
}

.footer{
    background-color: rgba(46, 46, 46, 0.2);
    padding: 80px 0;
}

.footer-row{
    display: flex;
    flex-wrap: wrap;
}

.footer-links{
    width: 25%;
    padding: 0 15px;
}

.footer-links h4{
    font-size: 20px;
    color: rgb(195, 192, 175);
    margin-bottom: 25px;
    font-weight: 500;
    border-bottom: 2px solid;
    padding-bottom: 10px;
    display: inline-block;
}

.footer-links li{
    list-style-type: none;
}

.footer-links ul li a{
    font-size: 17px;
    text-decoration: none;
    color: rgb(195, 192, 175);
    display: block;
    margin-bottom: 15px;
    transition: all .3s ease;
}

.footer-links ul li a:hover{
    color: rgb(121, 99, 39);
    padding-left: 6px;
}

.footer-images{
    width: 50px;
    position: relative;
    top: 7px;
}

.footer-redes a{
    display: inline-block;
    max-height: 70px;
    width: 70px;
    background-color: rgb(195, 192, 175);
    margin: 0 10px 10px 0;
    text-align: center;
    line-height: 40px;
    border-radius: 10px;
    transition: all .5s ease;
    position: relative;
    top: 40px;
}

.footer-redes a:hover{
    background-color: rgb(121, 99, 39);
}

.footer-copyright{
    background-color: rgb(217, 217, 217);
    display: flex;
    align-items: flex-end;
    justify-content: center;
    padding-bottom: 15px;
}

.footer-label-copyright{
    font-size: 12px;
}


/* Cuando el navegador este reducido */


@media(max-width:991px){
    .footer-row{
        text-align: center;
    }

    .footer-links{
        width: 100%;
        margin-bottom: 30px;
    }

    .videos-container {
        grid-template-columns: 1fr;
    }
}
